skb_padto
Prev | Socket Buffer Functions | Next

## Name

skb_padto — pad an skbuff up to a minimal size

## Synopsis

`int skb_padto (` | struct sk_buff * | skb,
| unsigned int | len`)`;

## Arguments

`skb`

  buffer to pad

`len`

  minimal length

## Description

Pads up a buffer to ensure the trailing bytes exist and are blanked. If the buffer already contains sufficient data it is untouched. Otherwise it is extended. Returns zero on success. The skb is freed on error.

Prev | Up | Next
skb_cow | Home | skb_linearize